#version 330 core

uniform mat4 ModelViewProjectionMatrix;

layout (location = 0) in vec3 POSITION;
layout (location = 4) in vec2 TEXCOORD;

out vec2 uv;

void main()
{
	uv = TEXCOORD;
	gl_Position = ModelViewProjectionMatrix * vec4(POSITION, 1.0);
}
